PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_ctstrf | ( | int | M,
|  | int | N,
|  | int | IB,
|  | int | NB,
|  | PLASMA_Complex32_t * | U,
|  | int | LDU,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | PLASMA_Complex32_t * | L,
|  | int | LDL,
|  | int * | IPIV,
|  | PLASMA_Complex32_t * | WORK,
|  | int | LDWORK,
|  | int * | INFO
| ) |  |

CORE_ctstrf computes an LU factorization of a complex matrix formed by an upper triangular NB-by-N tile U on top of a M-by-N tile A using partial pivoting with row interchanges.

This is the right-looking Level 2.5 BLAS version of the algorithm.

Parameters

  [in] | M | The number of rows of the tile A. M >= 0.
  [in] | N | The number of columns of the tile A. N >= 0.
  [in] | IB | The inner-blocking size. IB >= 0.
  [in] | NB |
  [in,out] | U | On entry, the NB-by-N upper triangular tile. On exit, the new factor U from the factorization
  [in] | LDU | The leading dimension of the array U. LDU >= max(1,NB).
  [in,out] | A | On entry, the M-by-N tile to be factored. On exit, the factor L from the factorization
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [in,out] | L | On entry, the IB-by-N lower triangular tile. On exit, the interchanged rows form the tile A in case of pivoting.
  [in] | LDL | The leading dimension of the array L. LDL >= max(1,IB).
  [out] | IPIV | The pivot indices; for 1 <= i <= min(M,N), row i of the tile U was interchanged with row IPIV(i) of the tile A.
  [in,out] | WORK |
  [in] | LDWORK | The leading dimension of the array WORK.
  [out] | INFO |

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value
  >0 | if INFO = k, U(k,k) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.